Get all client statuses Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
GET /api/v1/client-status

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • filter[uuid] string

    Filter by a comma separated list of UUIDs.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name]. Negative sign to denote DESC. Defaults to 'name'.

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        The UUID of the resource.

      • created_at string

        The timestamp of when the resource was created.

      • updated_at string

        The timestamp of when the resource was updated.

      • name string

        The name of the custom status.

      • colour string

        The colour of the custom status

GET /api/v1/client-status
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/client-status' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "uuid": "c82c6379-44d2-4efa-b48e-ec98751a08f3",
      "created_at": "2026-06-09T14:10:13+01:00",
      "updated_at": "2026-06-09T14:10:13+01:00",
      "name": "On Hold",
      "colour": "#FFFFFF"
    }
  ]
}